Skip to main content
GET
/
v1
/
material-sourcing
List material sourcing steps
curl --request GET \
  --url https://api.cula.tech/tracking/v1/v1/material-sourcing \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "stp_01kqzcjrpxf27tge33jwvjhkff",
      "config_id": "stc_01kqzcjrpyf27tgeeekpvvx0zt",
      "config_version_id": "scv_01kqzcjrpyf27tgefhb58rc9d4",
      "site": {
        "id": "<string>",
        "external_id": "<string>"
      },
      "executed_at": "2026-05-01T19:30:00Z",
      "data_points": [
        {
          "config_id": "dpc_01kqzcjrpyf27tgeq6a84z0yhy",
          "config_version_id": "dpv_01kqzcjrpyf27tgerf3nqreg37",
          "name": "Weight net",
          "input_value": {
            "value": 47079.76,
            "unit": "lb"
          },
          "value": {
            "value": 21353.12,
            "unit": "kg"
          }
        }
      ],
      "file_ids": [],
      "created_at": "2026-05-06T19:34:00Z",
      "updated_at": "2026-05-06T19:34:00Z",
      "output": [
        {
          "id": "mct_01kqzcjrpyf27tgenyy2stmy5z",
          "data_points": [
            {
              "config_id": "dpc_01kqzcjrpyf27tgeq6a84z0yhy",
              "config_version_id": "dpv_01kqzcjrpyf27tgerf3nqreg37",
              "name": "Weight net",
              "input_value": {
                "value": 47079.76,
                "unit": "lb"
              },
              "value": {
                "value": 21353.12,
                "unit": "kg"
              }
            }
          ],
          "contents": [
            {
              "material": {
                "id": "mat_01kqzcjrpyf27tge9dnvsqv8t2",
                "external_id": "corn-no2-yellow"
              },
              "weight_in_kg": 21353.12
            }
          ]
        }
      ],
      "external_id": "GC-HARVEST-2026-001",
      "display_key": "GC-HARVEST-2026-001",
      "location": {
        "lat": 46.8797,
        "long": -102.7903,
        "street": "100 Industrial Parkway",
        "city": "Richardton",
        "postcode": "58652",
        "country": "United States",
        "country_code": "US"
      }
    }
  ],
  "pagination": {
    "starting_after": "<string>",
    "limit": 123,
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cula.tech/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as a Bearer token. Keys are scoped to one organisation and a set of permitted sites. Two keys per scope (primary + secondary) are issued to support zero-downtime rotation.

Authorization: Bearer <api-key>

Query Parameters

starting_after
string

Cursor for forward pagination. Pass the next_cursor value from a previous response to fetch the next page. Must be a valid resource ID.

limit
integer
default:10

Maximum number of items to return per page.

Required range: 1 <= x <= 50

Response

Paginated list of material sourcing steps.

data
object[]
required
pagination
object
required

Cursor-based pagination metadata.